#ifndef  COURBE_NB_H_SEEN  
#define  COURBE_NB_H_SEEN

#include <stdlib.h>
#include <stdio.h>

/*
Pour ecrire des fichiers ASCII contenant des courbes de lumieres et des
  informations sur les bases,bosses,paczinski,periodiques,...
- On peut SOIT creer un fichier par etoile, SOIT creer un fichier
  contenant plusieurs etoiles en gerant l'endroit de l'appel a la creation
  du fichier ASCII (CreCourbe) et sa fermeture (CloseCourbe).
*/

FILE *COURBE_NB_FILE;

FILE *CreCourbe(int et);
FILE *CreCourbe(const char *str);
void FillCourbe(int et,int coul
              ,float t,float flx,float eflx,float flb,float eflb
              ,float v0,float v1,float v2,float v3,float v4);
void CloseCourbe(void);
void FillBosse(int et,int coul
              ,float fbase,float tp1,float tp2,float ts1,float ts2);
void FillPacZin(int et,int coul,int mc
               ,float fbase,float u0,float t0,float tau,float blend);
void FillVarPer(int et,int coul,int mc
               ,int nharm,float fbase,float per,float t0
               ,float *pcs,float *psn);

#endif
